/**/

signal on halt
signal on break_c

l="rmh.library";if ~show("L",l) then;if ~addlib(l,0,-30) then exit
if AddLibrary("rxmui.library")~=0 then exit

call createApp
call SetNotifies

call set("win","open",1)
call getattr("win","open","o")
if o=0 then do
    say "can't open window"
    exit
end

call handleApp
exit
/***********************************************************************/
handleApp: procedure
ctrl_c=2**12
s=0
do forever
    call handle("APP","H",s)
    do i=0 to h.num-1
        if h.i="QUIT" then exit
        say h.num-1 h.i
    end
    s=Wait(or(h.signals,ctrl_c))
    if and(s,ctrl_c)>0 then exit
end
exit
/***********************************************************************/
createApp: procedure
    app.Title="Coloradjust"
    app.Version="$VER: Coloradjust 1.0 (10.12.99)"
    app.Copyright="1999, alfie"
    app.Author="alfie"
    app.Description="Coloradjust example"
    app.Base="Coloradjust"
    app.SubWindow="WIN"
     win.ID="MAIN"
     win.Title="Coloradjust Example"
     win.Contents="MGROUP"
      mgroup.0="ca"
       ca.class="coloradjust"

    res=NewObj("APPLICATION","APP")
    if res~=0 then do
        ioerr=IoErr()
        say ioerr
        call err(res)
    end
    return
/***********************************************************************/
setNotifies: procedure
    call Notify("WIN","CLOSEREQUEST",1,"APP","RETURNID","QUIT")

    return
/***********************************************************************/
halt:
break_c:
    exit
/**************************************************************************/
err: procedure expose sigl RxMUIError
parse arg res
    msg = ProgramName()":" GetRxMUIString(res) "in line" sigl-1
    if RxMUIError~="RXMUIERROR" then msg = msg "["RxMUIError"]"
    say msg
    exit
/**************************************************************************/
